
RealistischesFahrenCombine = {};

function RealistischesFahrenCombine.prerequisitesPresent(specializations)
    return true;
end;
function RealistischesFahrenCombine:load(xmlFile)
end;
function RealistischesFahrenCombine:delete()
end;
function RealistischesFahrenCombine:mouseEvent(posX, posY, isDown, isUp, button)
end;
function RealistischesFahrenCombine:keyEvent(unicode, sym, modifier, isDown)
end;
function RealistischesFahrenCombine:onAttach(attacherVehicle)
	self.attacherVehicleCopy = attacherVehicle;
end;
function RealistischesFahrenCombine:onDetach()
	self.attacherVehicleCopy = nil;
end;

function RealistischesFahrenCombine:update(dt)
	if self:getIsActive() then	
					if self.isThreshing	then
							local kmhMath = math.max(1, (self.lastSpeed*self.speedDisplayScale*3600)/4);
							local fuelUsed = 0.0003*kmhMath;
							--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
							self:setFuelFillLevel(self.fuelFillLevel-fuelUsed);
							g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
							g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;		
					end;
	end;	
end;


function RealistischesFahrenCombine:draw()	
end;


